EventBufferEvent::read
EventBufferEvent::setCallbacks
EventBufferEvent
PHP Manual

# EventBufferEvent::readBuffer

Drains the entire contents of the input buffer and places them into buf

### Description

public bool EventBufferEvent::readBuffer ( EventBuffer `$buf` )

Drains the entire contents of the input buffer and places them into `buf` .

### Parameters

`buf`

  Target buffer

### Return Values

Returns `TRUE` on success; Otherwise `FALSE`.

### See Also

- EventBufferEvent::read